Summary:       JSON library implemented in C++
Name:          jsoncpp
Version:       1.9.5
Release:       6%{?dist}
License:       Public Domain or MIT
URL:           https://github.com/open-source-parsers/%{name}
Source0:       %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: cmake gcc gcc-c++ python3-devel

%description
%{name} is an implementation of a JSON (http://json.org) reader and writer in C++. JSON (JavaScript Object
Notation) is a lightweight data-interchange format. It is easy for humans to read and write. It is easy for
machines to parse and generate.

%package        devel
Summary:        Development headers and library for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
%{name} is an implementation of a JSON (http://json.org) reader and writer in C++. JSON (JavaScript Object
Notation) is a lightweight data-interchange format. It is easy for humans to read and write. It is easy for
machines to parse and generate.

This package contains the development headers and library for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake                                         \
  -DBUILD_STATIC_LIBS:BOOL=OFF                 \
  -DBUILD_OBJECT_LIBS:BOOL=OFF                 \
  -DJSONCPP_WITH_CMAKE_PACKAGE:BOOL=ON         \
  -DJSONCPP_WITH_EXAMPLE:BOOL=OFF              \
  -DJSONCPP_WITH_PKGCONFIG_SUPPORT:BOOL=ON     \
  -DJSONCPP_WITH_POST_BUILD_UNITTEST:BOOL=OFF  \
  -DJSONCPP_WITH_STRICT_ISO:BOOL=ON            \
  -DJSONCPP_WITH_TESTS:BOOL=ON                 \
  -DJSONCPP_WITH_WARNING_AS_ERROR:BOOL=OFF     \
  -DPYTHON_EXECUTABLE:STRING="%{__python3}"
%cmake_build

%install
%cmake_install

install -Dpm 0644 README.md %{buildroot}%{_docdir}/%{name}/README.md

%check
# keep it please
%global _smp_mflags -j1
%ctest

%files
%license AUTHORS LICENSE
%doc %{_docdir}/%{name}/README.md
%{_libdir}/lib%{name}.so.25*
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/json
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 1 2023 Shuo Wang <abushwang@tencent.com> - 1.9.5-1
- initial build
